Index: /trunk/gli/src/org/greenstone/gatherer/gems/GEMSLanguageManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/gems/GEMSLanguageManager.java	(revision 8970)
+++ /trunk/gli/src/org/greenstone/gatherer/gems/GEMSLanguageManager.java	(revision 8971)
@@ -1,6 +1,37 @@
-/*
- * GEMSLanguageManager.java
+ /**
+ *#########################################################################
  *
- * Created on October 27, 2004, 3:31 PM
+ * A component of the Gatherer application, part of the Greenstone digital
+ * library suite from the New Zealand Digital Library Project at th * University of Waikato, New Zealand.
+ *
+ * <BR><BR>
+ *
+ * Author: John Thompson, Greenstone Digital Library, University of Waikato
+ *
+ * <BR><BR>
+ *
+ * Copyright (C) 1999 New Zealand Digital Library Project
+ *
+ * <BR><BR>
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * <BR><BR>
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * <BR><BR>
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *############################################## ##########################
  */
 
@@ -35,92 +66,86 @@
  * @author John Thompson, Greenstone Digital Library, University of Waikato
  * @version 2.3
+ * Created on October 27, 2004, 3:31 PM
+ * Modified 1/02/05 by Matthew Whyte
  */
  public class GEMSLanguageManager {
-              private Document document;
-              private DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
-              private Vector languageCodes;
-            public GEMSLanguageManager(String languagexml_location) {
-                
-               this.languageCodes = new Vector();
+     private Document document;
+     private DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
+     private Vector languageCodes;
+     private Vector languageCodesAndNames;
+     public GEMSLanguageManager(String languagexml_location) {
+	 
+	 this.languageCodes = new Vector();
+	 this.languageCodesAndNames = new Vector();
 
-            try {
-               
-               File f = new File(languagexml_location);
-               
-               DocumentBuilder builder = factory.newDocumentBuilder();
-               document = builder.parse(f);
-               org.w3c.dom.Element docelement = document.getDocumentElement();
-               
-               //get all language nodes
-               NodeList mynodelist = docelement.getChildNodes();
-               
-               //get a single language text
-               //System.out.println(mynodelist.item(1).getChildNodes().item(0).getNodeValue());
-               
-               for(int j = 1; j < mynodelist.getLength(); j++){
-                   
-                   //read text value for the element
-                  
-                   NodeList childnodesofelement = mynodelist.item(j).getChildNodes();
-                   
-                      
-                   NamedNodeMap nnm = mynodelist.item(j).getAttributes();
-               
-                   
-                    if(childnodesofelement.getLength() == 1){
-                        
-                            String code = nnm.item(0).getNodeValue();
-                            String name = nnm.item(4).getNodeValue();
-                            String name_value = childnodesofelement.item(0).getNodeValue();
-                            //language_box.addItem(code.toLowerCase());
-                            this.languageCodes.add(code.toLowerCase());
-                    }
-                    
-                   
-               
-            
-                   
-               }//end for
-       
-           }
-           catch(SAXException sxe) {
-               
-               System.out.println("sxe exception\n");
-           }
-           catch(ParserConfigurationException pce) {
+	 try {
+	     
+	     File f = new File(languagexml_location);
+	     
+	     DocumentBuilder builder = factory.newDocumentBuilder();
+	     document = builder.parse(f);
+	     org.w3c.dom.Element docelement = document.getDocumentElement();
+	     
+	     //get all language nodes
+	     NodeList mynodelist = docelement.getChildNodes();
+	     
+	     //get a single language text
+	     //System.out.println(mynodelist.item(1).getChildNodes().item(0).getNodeValue()); //debug
+	     
+	     for(int j = 1; j < mynodelist.getLength(); j++){
+		 
+		 //read text value for the element
+		 NodeList childnodesofelement = mynodelist.item(j).getChildNodes();
+		 NamedNodeMap nnm = mynodelist.item(j).getAttributes();
+		 
+		 if(childnodesofelement.getLength() == 1)
+		     {
+			 String code = nnm.item(0).getNodeValue();
+			 String name = nnm.item(4).getNodeValue();
+			 String name_value = childnodesofelement.item(0).getNodeValue();
+			 //language_box.addItem(code.toLowerCase());
+			 this.languageCodes.add(code.toLowerCase());
+			 this.languageCodesAndNames.add(name.toLowerCase() + "               \t(" + code.toLowerCase() + ")");
+		     } //end if
+	     }//end for
+	 } //end try
+	 catch(SAXException sxe) {
+	     System.out.println("sxe exception\n");
+	 }
+	 catch(ParserConfigurationException pce) {
              System.out.println("pce exception\n");
-               
-           }
-           catch(IOException ioe){
-               
-               System.out.println("ioe exc\n");
-               
-           }
-            
-            //end create dom object for language_box
-                
-            }
-           public Vector getLanguageCodes() { 
-               return languageCodes;
-           }
-           public Object[] getLanguageCodesToArray() { 
-               return languageCodes.toArray();
-           }
-           public String getEnabledLanguageCodes() {
-            String enabled_languages =  Configuration.getString("Gems.Preferences.Selected_Languages", true);
-           return enabled_languages;   
-           }
-            public String[] getEnabledLanguageCodesToArray() {
-            String enabled_languages =  Configuration.getString("Gems.Preferences.Selected_Languages", true); 
-            String [] enabled_languages_split = enabled_languages.split(",");
-           // String [] trimmed_enabled_lang_split = null;
-            
-          //  for(int p = 0; p < enabled_languages_split.length; p++) {
-                //trimmed_enabled_lang_split[p] = enabled_languages_split[p].trim(); 
-              //  System.out.println("gemslang: trimm: " + trimmed_enabled_lang_split[p] + " orig: "+ enabled_languages_split[p].trim());
-           // }//for p < enabled lang split
-            
-            return enabled_languages_split;
-           }
-            
-        }
+	 }
+	 catch(IOException ioe){
+	     System.out.println("ioe exception\n");
+	 }
+	 
+	 //end create dom object for language_box
+	 
+     }
+     public Vector getLanguageCodesAndNames() {
+	 return languageCodesAndNames;
+     }
+
+     public Vector getLanguageCodes() { 
+	 return languageCodes;
+     }
+     public Object[] getLanguageCodesToArray() { 
+	 return languageCodes.toArray();
+     }
+     public String getEnabledLanguageCodes() {
+	 String enabled_languages =  Configuration.getString("Gems.Preferences.Selected_Languages", true);
+	 return enabled_languages;   
+     }
+     public String[] getEnabledLanguageCodesToArray() {
+	 String enabled_languages =  Configuration.getString("Gems.Preferences.Selected_Languages", true); 
+	 String [] enabled_languages_split = enabled_languages.split(",");
+	 // String [] trimmed_enabled_lang_split = null;
+	 
+	 //  for(int p = 0; p < enabled_languages_split.length; p++) {
+	 //trimmed_enabled_lang_split[p] = enabled_languages_split[p].trim(); 
+	 //  System.out.println("gemslang: trimm: " + trimmed_enabled_lang_split[p] + " orig: "+ enabled_languages_split[p].trim());
+	 // }//for p < enabled lang split
+	 
+	 return enabled_languages_split;
+     }  
+ }
Index: /trunk/gli/src/org/greenstone/gatherer/gems/GEMSModel.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/gems/GEMSModel.java	(revision 8970)
+++ /trunk/gli/src/org/greenstone/gatherer/gems/GEMSModel.java	(revision 8971)
@@ -66,59 +66,4 @@
     }
 
-    public void remove(String name, int type) {
-	GEMSNode current = (GEMSNode) root;
-	for(int i = 0; i < current.getChildCount(); i++) {
-	    GEMSNode child = (GEMSNode) current.getChildAt(i);
-	    if(child.toString().equals(name) && type == GEMSNode.SET) {
-		// Place on AWT event thread to avoid errors.
-		SynchronizedTreeModelTools.removeNodeFromParent(this, child);
-		return;
-	    }
-	    // This may be the profiler root node, in which case we descend into its children if we're looking for collection file matches. 
-	    else if(type == GEMSNode.COLLECTION && child.getType() == GEMSNode.PROFILER) {
-		for(int j = 0; j < child.getChildCount(); j++) {
-		    GEMSNode inner_child = (GEMSNode) child.getChildAt(j);
-		    if(inner_child.toString().equals(name)) {
-			// Place on AWT event thread to avoid errors.
-			SynchronizedTreeModelTools.removeNodeFromParent(this, inner_child);
-			return;
-		    }
-		}
-	    }
-	    // If this is a set and we are looking for an element or subelement, then iterate through its children. Can't really do this recursively.
-	    else if((type == GEMSNode.ELEMENT || type == GEMSNode.SUBELEMENT) && child.getType() == GEMSNode.SET) {
-		for(int j = 0; j < child.getChildCount(); j++) {
-		    GEMSNode inner_child = (GEMSNode) child.getChildAt(j);
-		    //Go through looking for element
-		    if(type == GEMSNode.ELEMENT)
-			{
-			    if(inner_child.toString().equals(name)) {
-				// Place on AWT event thread to avoid errors.
-				SynchronizedTreeModelTools.removeNodeFromParent(this, inner_child);
-				return;
-			    }
-			}
-		    //Go through element looking for subelement
-		    else if(type == GEMSNode.SUBELEMENT)
-			{
-			    for(int k = 0; k < inner_child.getChildCount(); k++)
-				{
-				    //the subelements
-				    GEMSNode innermost_child = (GEMSNode)inner_child.getChildAt(k);
-				    if(innermost_child.toString().equals(name))
-					{
-					    // Place on AWT event thread to avoid errors.
-					    SynchronizedTreeModelTools.removeNodeFromParent(this, inner_child);
-					    return;
-					}
-				}
-			}
-		}
-	    }
-	}
-
-	System.err.println("Tried to remove \'" + name + "\' from the tree, but could not find it!"); //This should not happen!
-    }
-
     /**
        Remove a node from the tree.
Index: /trunk/gli/src/org/greenstone/gatherer/gems/GEMSNode.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/gems/GEMSNode.java	(revision 8970)
+++ /trunk/gli/src/org/greenstone/gatherer/gems/GEMSNode.java	(revision 8971)
@@ -51,4 +51,5 @@
  * @author John Thompson, Greenstone Digital Library, University of Waikato
  * @version 2.3
+ * Modified 2/02/05 by Matthew Whyte
  */
 public class GEMSNode
@@ -62,9 +63,8 @@
     static final public int ROOT       = 3; 
     static final public int SET        = 4;
-    static final public int SUBELEMENT = 5;
+    //static final public int SUBELEMENT = 5; 
 
     public GEMSNode() {
 	this.type = ROOT;
-        
     }
 
@@ -107,12 +107,4 @@
     }
 
-    public ElementWrapper getSubelement() {
-	ElementWrapper result = null;
-	if(type == SUBELEMENT) {
-	    result = (ElementWrapper) userObject;
-	}
-	return result;
-    }
-
     public int getIndex(TreeNode node) {
 	if(children == null) {
@@ -147,62 +139,26 @@
     }
 
-    public String toString() {
-	if(text == null) {
-	    if(userObject != null) {
-		if(userObject instanceof ElementWrapper) {
-		    text = ((ElementWrapper)userObject).getName();
-		}
-		// In the case of a 'collection' source path we need to examine the path closely. If it is a descendant of the greenstone collections path then supress everything but the collection name
-// 		else if(type == COLLECTION) {
-// 		    try {
-// 			boolean is_descendant = false;
-// 			File source_path = new File((String)userObject);
-// 			File collect_path;
-// 			if (Gatherer.GS3) {
-// 			    collect_path = new File(Utility.getCollectDir(Configuration.gsdl3_path, Configuration.site_name));
-// 			}  else {
-// 			    collect_path = new File(Utility.getCollectDir(Configuration.gsdl_path));
-// 			}
-// 			File current_path = source_path;
-// 			while(!is_descendant && current_path != null) {
-// 			    is_descendant = current_path.equals(collect_path);
-// 			    current_path = current_path.getParentFile();
-// 			}
-// 			current_path = null;
-// 			collect_path = null;
-// 			// We've either found we are a descendant, or run out of path
-// 			if(is_descendant) {
-// 			    // Create a basic config class
-// 			    File config_file = new File(source_path, Utility.CONFIG_FILE);
-// 			    if (config_file.exists()) {
-// 				BasicCollectionConfiguration config = new BasicCollectionConfiguration(config_file);
-// 				text = config.toString();
-// 				config = null;
-// 			    } else {
-// 				text = source_path.getAbsolutePath();
-// 			    }
-// 			    config_file = null;
-// 			}
-// 			else {
-// 			    text = source_path.getAbsolutePath();
-// 			}
-// 		    }
-// 		    catch(Exception exception) {
-// 			DebugStream.println("Exception in GEMSNode.toString() - exception is unexpected");
-// 			DebugStream.printStackTrace(exception);
-// 			text = userObject.toString();
-// 		    }
-// 		}
-		else {
-		    text = userObject.toString();
-		}
+    public String toString()
+    {
+	if(text == null)
+	    {
+		if(userObject != null)
+		    {
+			if(userObject instanceof ElementWrapper)
+			    {
+				text = ((ElementWrapper)userObject).getName();
+			    }
+			else
+			    {
+				text = userObject.toString();
+			    }
+		    }
+		else
+		    {
+			text = "error";
+		    }
 	    }
-	    else {
-		text = "error";
-	    }
-	}
 	return text;
     }
-
 
     public void mapChildren()
@@ -221,29 +177,23 @@
 		    }
 	    }
-	if (type == ELEMENT) //Add subelements. This will need to be changed to cope with multiple levels of subelements.
+	if (type == ELEMENT) //Add subelements. As elements and subelements are identical, this process continues.
 	    {
 		ArrayList subelements = this.getElement().getSubelements();
 		for(int j = 0; j < subelements.size(); j++)
 		    {
-			children.add(new GEMSNode(SUBELEMENT, new ElementWrapper((Element)subelements.get(j)), this));
+			children.add(new GEMSNode(ELEMENT, new ElementWrapper((Element)subelements.get(j)), this));
 		    }
 	    }
-
     }
     
    class GemsNodeMouseAdapter
     extends MouseAdapter {
-        
-        
-        
+       
       public void mouseClicked(MouseEvent e) {
         JPopupMenu setPopup = new JPopupMenu("asdf");
-         if (e.isPopupTrigger()) {
-                         
-                     setPopup.show(e.getComponent(),
+         if (e.isPopupTrigger()) {       
+	     setPopup.show(e.getComponent(),
                            e.getX(), e.getY());
-                    
-                
-            }
+	 }
     }    
     
@@ -256,26 +206,17 @@
     public void mousePressed(MouseEvent e) {
          JPopupMenu setPopup = new JPopupMenu("asdf");
-         if (e.isPopupTrigger()) {
-                         
-                     setPopup.show(e.getComponent(),
+         if (e.isPopupTrigger()) {               
+	     setPopup.show(e.getComponent(),
                            e.getX(), e.getY());
-                    
-                
-            }
-    }
-    
+	 }
+    }
+       
     public void mouseReleased(MouseEvent e) {
          JPopupMenu setPopup = new JPopupMenu("asdf");
-         if (e.isPopupTrigger()) {
-                         
-                     setPopup.show(e.getComponent(),
-                           e.getX(), e.getY());
-                    
-                
-            }
+         if (e.isPopupTrigger()) {                  
+	     setPopup.show(e.getComponent(),
+                           e.getX(), e.getY());     
+	 }
     }  
-        
-        
    }
-    
 }
